discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Pixen 0.1 Compiles OK (lot of warnings of course) Starts Up and Imme


From: Luboš Doležel
Subject: Re: Pixen 0.1 Compiles OK (lot of warnings of course) Starts Up and Immediately Crashes
Date: Thu, 24 Jan 2013 13:16:30 +0100
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/17.0 Thunderbird/17.0

On 01/24/2013 08:29 AM, Citizen Jimserac wrote:
On Jan 22, 12:14 pm, Riccardo Mottola <address@hidden>
wrote:
Hi,

which version are you using? The website says it is now a paid appstore app.
I see there is an old port here:

http://home.gna.org/gsimageapps/

I don't know how well it worked

Riccardo

Version 0.1

I see some downloads for older versions here and there but they are
just the ./Pixen.app without the source code.

Since it is now an appstore app, is it OK to still fool with the old
source code??

I don't have a Mac, just linux and and old xp box which serves
perfectly to hold a flowerpot.

J.

The original source code license is still valid... so it should be OK.

I tried to make the current binary work with GNUstep, but it needs the WebKit.framework:

$ dyld Contents/MacOS/Pixen

Cannot load @loader_path/../Frameworks/Sparkle.framework/Versions/A/Sparkle: Cannot load /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit: File not found: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit

WebKit.framework seems to be a hell of an API to reimplement...

--
Luboš Doležel




reply via email to

[Prev in Thread] Current Thread [Next in Thread]